This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 789549

Summary: Own encodings, encodings/large dirs, check existence in xorg-x11-fonts-update-dirs
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: xorg-x11-font-utilsAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: fonts-bugs, mads, xgl-maint
Target Milestone: ---Keywords: Patch, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:06:08 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Own encodings, encodings/large dirs, check/create large none

Description Ville Skyttä 2012-02-11 04:55:47 EST
Created attachment 561060 [details]
Own encodings, encodings/large dirs, check/create large

xorg-x11-fonts-update-dirs invokes mkfontscale on encodings/large without checking if it exists.  And the encodings and encodings/large dirs should quite probably be owned by this package because xorg-x11-fonts-update-dirs creates them if they don't exist.

Patch attached, ok if I push and build this for rawhide?
Comment 1 Mads Kiilerich 2012-05-14 12:16:24 EDT
It seems like this would fix

  Installing: xorg-x11-fonts-Type1      ##################### [364/761]opendir: No such file or directory

which happens because it runs %post

  xorg-x11-fonts-update-dirs /usr/share/X11/fonts/Type1

which ends up invoking

  mkfontscale -n -e /usr/share/X11/fonts/encodings -e /usr/share/X11/fonts/encodings/large

which will fail with this strange error message because .../large lives in xorg-x11-fonts-misc which isn't required.
Comment 2 Fedora End Of Life 2013-04-03 14:03:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 11:59:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:06:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ville Skyttä 2015-02-18 16:06:04 EST
Dir creation has been fixed meanwhile, but dir ownership question is still open.
Comment 6 Jan Kurik 2015-07-15 11:11:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23